import type { Form, FormField, FormSchema } from '@inkline/inkline';
export declare function isFormField<T extends Form>(schema: FormSchema<T[keyof T]> | FormField<T[keyof T]>): schema is FormField<T[keyof T]>;
export declare function isFormFieldArray<T extends Form>(schema: FormSchema<T[keyof T]> | FormField<T[keyof T][number]>[]): schema is FormField<T[keyof T]>[];
export declare function isFormGroup<T extends Form>(schema: FormSchema<T[keyof T]> | FormField<T[keyof T]>): schema is FormSchema<T[keyof T]>;
export declare function isFormGroupArray<T extends Form>(schema: FormSchema<T[keyof T]> | FormSchema<T[keyof T][number]>[]): schema is FormSchema<T[keyof T][number]>[];
